#
# Copyright (C) 2018-2024  CZ.NIC, z. s. p. o.
#
# This file is part of FRED.
#
# FRED is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# FRED is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with FRED.  If not, see <https://www.gnu.org/licenses/>.

"""Application config for fred-pain."""

from django.apps import AppConfig

from .settings import FredPainSettings


class FredPainConfig(AppConfig):
    """Configuration of fred_pain app."""

    name = "fred_pain"
    verbose_name = "FRED interface for PAIN"

    def ready(self):
        """Check whether configuration is OK."""
        FredPainSettings.check()
