#
# Copyright (C) 2018-2024  CZ.NIC, z. s. p. o.
#
# This file is part of FRED.
#
# FRED is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# FRED is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with FRED.  If not, see <https://www.gnu.org/licenses/>.

"""Specific settings for fred-pain."""

import appsettings


class FredPainSettings(appsettings.AppSettings):
    """FredPain settings."""

    corba_netloc = appsettings.StringSetting(default="localhost")
    corba_context = appsettings.StringSetting(default="fred")
    daphne_url = appsettings.StringSetting()

    class Meta:
        """Meta class."""

        setting_prefix = "fred_pain_"


SETTINGS = FredPainSettings()
