#
# Copyright (C) 2018-2024  CZ.NIC, z. s. p. o.
#
# This file is part of FRED.
#
# FRED is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# FRED is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with FRED.  If not, see <https://www.gnu.org/licenses/>.

"""Settings for tests."""

USE_TZ = True

SECRET_KEY = "Jean-Luc Picard"

INSTALLED_APPS = [
    "django.contrib.contenttypes",
    "django.contrib.auth",
    "djmoney",
    "django_pain.apps.DjangoPainConfig",
    "fred_pain.apps.FredPainConfig",
]

DATABASES = {"default": {"ENGINE": "django.db.backends.sqlite3", "NAME": ":memory:"}}

DEFAULT_AUTO_FIELD = "django.db.models.AutoField"

PAIN_PROCESSORS = {}  # type: dict

PAIN_DOWNLOADERS = {}  # type: dict

PAIN_EU_MEMBERS = []  # type: list

PAIN_VIES_REQUESTER = "CZ1234"
